#Jeu d'Échecs

Jeu d'Échec programmé dans le cadre d'un TP alternatif pour l'enseignement Informatique S1.

##Dépendances

* python ≥ 3.0
* tk

##Lancement
Dans le dossier racine du projet :
```bash
python app.py
```

(en supposant que `python` est dans la variable d'environnement `path` (ou `$PATH` sous Windows) et point vers l'éxecutable de Python 3)

##Fonctions non-implémentées

###Règles des échecs

* Le Roque
* La promotion du pion
* Prise en passant
* Détection du "pat" (le joueur ne pouvant pas jouer est considéré comme perdant, même s'il n'est pas en échec)

###Consignes de TP

* Pouvoir choisir entre jeu de dame et jeu d'échecs

Le jeu de dame n'est pas implémenté, cependant les autres classes sont compatibles avec lui car il suffit de changer la classe Logique**** utilisée.

* Redimensionnement de la fenêtre

Il suffirait de changer CASE_COTE pour en faire une variable, et faire une fonction qui appelle les fonctions de redimensionnement d'image et de placement d'objets qui serait appelé lors d'un redimensionnement.

* Documentation et tests

Étant donné que les fonctions sont plutôt expliquables d'elle-même par leur nom, que je suis seul à travailler sur ce projet, et que j'ai passé pas mal de temps à découper les fonctions, elles ne sont ni documentées ni testées.

###Autre

* Séparation entre Fenêtre et Plateau

Un plateau devrait être generé pour chaque partie et pour chaque type de jeu